# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Web::Mgmt::V2016_03_01
  module Models
    #
    # App Service billing entity that contains information about meter which
    # the Azure billing system utilizes to charge users for services.
    #
    class BillingMeter < ProxyOnlyResource

      include MsRestAzure

      # @return [String] Meter GUID onboarded in Commerce
      attr_accessor :meter_id

      # @return [String] Azure Location of billable resource
      attr_accessor :billing_location

      # @return [String] Short Name from App Service Azure pricing Page
      attr_accessor :short_name

      # @return [String] Friendly name of the meter
      attr_accessor :friendly_name

      # @return [String] App Service resource type meter used for
      attr_accessor :resource_type


      #
      # Mapper for BillingMeter class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'BillingMeter',
          type: {
            name: 'Composite',
            class_name: 'BillingMeter',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: false,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              meter_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.meterId',
                type: {
                  name: 'String'
                }
              },
              billing_location: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.billingLocation',
                type: {
                  name: 'String'
                }
              },
              short_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.shortName',
                type: {
                  name: 'String'
                }
              },
              friendly_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.friendlyName',
                type: {
                  name: 'String'
                }
              },
              resource_type: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.resourceType',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
