# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Web::Mgmt::V2016_09_01
  module Models
    #
    # Metadata for a metric.
    #
    class MetricDefinition < ProxyOnlyResource

      include MsRestAzure

      # @return [String] Name of the metric.
      attr_accessor :metric_definition_name

      # @return [String] Unit of the metric.
      attr_accessor :unit

      # @return [String] Primary aggregation type.
      attr_accessor :primary_aggregation_type

      # @return [Array<MetricAvailabilily>] List of time grains supported for
      # the metric together with retention period.
      attr_accessor :metric_availabilities

      # @return [String] Friendly name shown in the UI.
      attr_accessor :display_name


      #
      # Mapper for MetricDefinition class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MetricDefinition',
          type: {
            name: 'Composite',
            class_name: 'MetricDefinition',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: false,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              metric_definition_name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.name',
                type: {
                  name: 'String'
                }
              },
              unit: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.unit',
                type: {
                  name: 'String'
                }
              },
              primary_aggregation_type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.primaryAggregationType',
                type: {
                  name: 'String'
                }
              },
              metric_availabilities: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.metricAvailabilities',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'MetricAvailabililyElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'MetricAvailabilily'
                      }
                  }
                }
              },
              display_name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.displayName',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
