# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Web::Mgmt::V2018_02_01
  module Models
    #
    # Swift Virtual Network Contract. This is used to enable the new Swift way
    # of doing virtual network integration.
    #
    class SwiftVirtualNetwork < ProxyOnlyResource

      include MsRestAzure

      # @return [String] The Virtual Network subnet's resource ID. This is the
      # subnet that this Web App will join. This subnet must have a delegation
      # to Microsoft.Web/serverFarms defined first.
      attr_accessor :subnet_resource_id

      # @return [Boolean] A flag that specifies if the scale unit this Web App
      # is on supports Swift integration.
      attr_accessor :swift_supported


      #
      # Mapper for SwiftVirtualNetwork class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'SwiftVirtualNetwork',
          type: {
            name: 'Composite',
            class_name: 'SwiftVirtualNetwork',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: false,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              subnet_resource_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.subnetResourceId',
                type: {
                  name: 'String'
                }
              },
              swift_supported: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.swiftSupported',
                type: {
                  name: 'Boolean'
                }
              }
            }
          }
        }
      end
    end
  end
end
