# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Web::Mgmt::V2018_02_01
  module Models
    #
    # Triggered Web Job Run Information.
    #
    class TriggeredJobRun < ProxyOnlyResource

      include MsRestAzure

      # @return [String] Job ID.
      attr_accessor :web_job_id

      # @return [String] Job name.
      attr_accessor :web_job_name

      # @return [TriggeredWebJobStatus] Job status. Possible values include:
      # 'Success', 'Failed', 'Error'
      attr_accessor :status

      # @return [DateTime] Start time.
      attr_accessor :start_time

      # @return [DateTime] End time.
      attr_accessor :end_time

      # @return [String] Job duration.
      attr_accessor :duration

      # @return [String] Output URL.
      attr_accessor :output_url

      # @return [String] Error URL.
      attr_accessor :error_url

      # @return [String] Job URL.
      attr_accessor :url

      # @return [String] Job name.
      attr_accessor :job_name

      # @return [String] Job trigger.
      attr_accessor :trigger


      #
      # Mapper for TriggeredJobRun class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'TriggeredJobRun',
          type: {
            name: 'Composite',
            class_name: 'TriggeredJobRun',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: false,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              web_job_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.web_job_id',
                type: {
                  name: 'String'
                }
              },
              web_job_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.web_job_name',
                type: {
                  name: 'String'
                }
              },
              status: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.status',
                type: {
                  name: 'Enum',
                  module: 'TriggeredWebJobStatus'
                }
              },
              start_time: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.start_time',
                type: {
                  name: 'DateTime'
                }
              },
              end_time: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.end_time',
                type: {
                  name: 'DateTime'
                }
              },
              duration: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.duration',
                type: {
                  name: 'String'
                }
              },
              output_url: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.output_url',
                type: {
                  name: 'String'
                }
              },
              error_url: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.error_url',
                type: {
                  name: 'String'
                }
              },
              url: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.url',
                type: {
                  name: 'String'
                }
              },
              job_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.job_name',
                type: {
                  name: 'String'
                }
              },
              trigger: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.trigger',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
