# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Web::Mgmt::V2020_09_01
  module Models
    #
    # Details about restoring a deleted app.
    #
    class DeletedAppRestoreRequest < ProxyOnlyResource

      include MsRestAzure

      # @return [String] ARM resource ID of the deleted app. Example:
      # /subscriptions/{subId}/providers/Microsoft.Web/deletedSites/{deletedSiteId}
      attr_accessor :deleted_site_id

      # @return [Boolean] If true, deleted site configuration, in addition to
      # content, will be restored.
      attr_accessor :recover_configuration

      # @return [String] Point in time to restore the deleted app from,
      # formatted as a DateTime string.
      # If unspecified, default value is the time that the app was deleted.
      attr_accessor :snapshot_time

      # @return [Boolean] If true, the snapshot is retrieved from DRSecondary
      # endpoint.
      attr_accessor :use_drsecondary


      #
      # Mapper for DeletedAppRestoreRequest class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'DeletedAppRestoreRequest',
          type: {
            name: 'Composite',
            class_name: 'DeletedAppRestoreRequest',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: false,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              system_data: {
                client_side_validation: true,
                required: false,
                serialized_name: 'systemData',
                type: {
                  name: 'Composite',
                  class_name: 'SystemData'
                }
              },
              deleted_site_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.deletedSiteId',
                type: {
                  name: 'String'
                }
              },
              recover_configuration: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.recoverConfiguration',
                type: {
                  name: 'Boolean'
                }
              },
              snapshot_time: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.snapshotTime',
                type: {
                  name: 'String'
                }
              },
              use_drsecondary: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.useDRSecondary',
                type: {
                  name: 'Boolean'
                }
              }
            }
          }
        }
      end
    end
  end
end
