# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Web::Mgmt::V2020_09_01
  module Models
    #
    # Process Module Information.
    #
    class ProcessModuleInfo < ProxyOnlyResource

      include MsRestAzure

      # @return [String] Base address. Used as module identifier in ARM
      # resource URI.
      attr_accessor :base_address

      # @return [String] File name.
      attr_accessor :file_name

      # @return [String] HRef URI.
      attr_accessor :href

      # @return [String] File path.
      attr_accessor :file_path

      # @return [Integer] Module memory size.
      attr_accessor :module_memory_size

      # @return [String] File version.
      attr_accessor :file_version

      # @return [String] File description.
      attr_accessor :file_description

      # @return [String] Product name.
      attr_accessor :product

      # @return [String] Product version.
      attr_accessor :product_version

      # @return [Boolean] Is debug?
      attr_accessor :is_debug

      # @return [String] Module language (locale).
      attr_accessor :language


      #
      # Mapper for ProcessModuleInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ProcessModuleInfo',
          type: {
            name: 'Composite',
            class_name: 'ProcessModuleInfo',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: false,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              system_data: {
                client_side_validation: true,
                required: false,
                serialized_name: 'systemData',
                type: {
                  name: 'Composite',
                  class_name: 'SystemData'
                }
              },
              base_address: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.base_address',
                type: {
                  name: 'String'
                }
              },
              file_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.file_name',
                type: {
                  name: 'String'
                }
              },
              href: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.href',
                type: {
                  name: 'String'
                }
              },
              file_path: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.file_path',
                type: {
                  name: 'String'
                }
              },
              module_memory_size: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.module_memory_size',
                type: {
                  name: 'Number'
                }
              },
              file_version: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.file_version',
                type: {
                  name: 'String'
                }
              },
              file_description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.file_description',
                type: {
                  name: 'String'
                }
              },
              product: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.product',
                type: {
                  name: 'String'
                }
              },
              product_version: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.product_version',
                type: {
                  name: 'String'
                }
              },
              is_debug: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.is_debug',
                type: {
                  name: 'Boolean'
                }
              },
              language: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.language',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
